# QStyleOptionToolButton Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOptionComplex.

### Constructor

- void QStyleOptionToolButton()
- void QStyleOptionToolButton(QStyleOptionToolButton other)

### Constructor Properties

- prototype: The QStyleOptionToolButton prototype object
- Version = 1
- StyleOptionVersion( value )
- None = 0x00
- Arrow = 0x01
- Menu = 0x04
- PopupDelay = 0x08
- HasMenu = 0x10
- ToolButtonFeature( value )
- ToolButtonFeatures( value1, value2, ... )
- Type = SO_ToolButton
- StyleOptionType( value )

### Instance Properties

QStyleOptionToolButton objects have no special properties beyond those inherited from the QStyleOptionToolButton prototype object.